<?xml version="1.0" encoding="UTF-8"?>
<part class="form">
  <style>
    <property name="Geometry">{1,30,794,538}</property>
    <property name="Name">[SE_PROD.scr]</property>
    <property name="Caption">[Cadastro de Produtos]</property>
    <property name="AlwaysOnTop">.F.</property>
    <property name="AutoCenter">.F.</property>
    <property name="Font">
      <font name="Verdana" width="0" height="-13" weight="400"/>
    </property>
    <property name="FormType">[dlgModal]</property>
    <property name="Modal">.F.</property>
    <property name="ScopeVarObj">[Private]</property>
    <property name="lClipper">.T.</property>
    <property name="lExitOnEnter">.F.</property>
    <property name="lExitOnESC">.T.</property>
    <property name="FromStyle">[Center]</property>
    <property name="Clipsiblings">.F.</property>
    <property name="Clipchildren">.F.</property>
    <property name="TitleBar">.T.</property>
    <property name="StyleBorder">[0 - Sizable (Default)]</property>
    <property name="Icon">[]</property>
    <property name="NoIcon">.F.</property>
    <property name="SystemMenu">.T.</property>
    <property name="Minimizebox">.T.</property>
    <property name="Maximizebox">.T.</property>
    <property name="AbsAlignment">.T.</property>
    <property name="WindowState">[1 - Normal (Default)]</property>
    <property name="minHeight">-1</property>
    <property name="maxHeight">-1</property>
    <property name="minWidth">-1</property>
    <property name="maxWidth">-1</property>
    <property name="ScrollBars">[0 - None (Default)]</property>
    <property name="DSControl">.F.</property>
  </style>
  <method name="onDlgInit">
    <![CDATA[parameters oDlg
//skel VARIAVEL W_COLSEP = ' '+chr(179)
//skel 
//skel VARIAVEL zzPcod  = 0
//skel VARIAVEL zzPlote = spac(10)
//skel VARIAVEL zzData_Venc = date()
//skel VARIAVEL z_xBlk = 'zPcod:=pcod,Z_Sele:=Select(),z_recn:=recn(),zOrd:=DbSetOrder(1),'
//skel VARIAVEL z_xBlk = z_xBlk+ 'if(se_prod->peatual<=0,Mensagem("O estoque total do produto esta zerado...",1),Brw_Lotes_1Prd(zPcod, "pselote2")),'
//skel VARIAVEL z_xBlk = z_xBlk+ 'DbSelectArea(z_sele),DbSetOrder(zOrd),dbgoto(z_recn)'
//skel VARIAVEL z_BlkItens = _CreateBlock( z_xBlk )
//skel VARIAVEL z_xBlk = ""
oContextMenu:=Hwg_ContextMenu()
hwg_Btn(oToolbar,5,5,54,54)
hwg_TbMt(oToolbar,'22;upd_prod(1,"T1");Ins-Inclui ;INS - Inclui;xml\icon\insc.ico;28;28;;;')
hwg_TbMt(oToolbar,'65;tb_update(D_OB);A-Altera ;A - Altera;xml\icon\altera.ico;28;28;;;')
hwg_TbMt(oToolbar,'7;tb_del(d_ob);Del-Apaga ;DEL - Deleta;xml\icon\delete.ico;28;28;;;')
hwg_TbMt(oToolbar,'32;tb_cons();Barra-Exibe ;Barra - Exibe;xml\icon\exibe.ico;28;28;;;')
hwg_TbMt(oToolbar,'0;;;espaco;espaco;')
hwg_TbMt(oToolbar,'0;aBrowses[nBrwAtivo,1]:top();Primeira;Primeira;smFirst;')
hwg_TbMt(oToolbar,'0;aBrowses[nBrwAtivo,1]:pageUp();Volta_Pag;Volta_Pag;smPrev;')
hwg_TbMt(oToolbar,'0;aBrowses[nBrwAtivo,1]:pageDown();Avanca_Pag;Avanca_Pag;smNext;')
hwg_TbMt(oToolbar,'0;aBrowses[nBrwAtivo,1]:bottom();Ultima;Ultima;smLast;')
hwg_TbMt(oToolbar,'0;;;espaco;espaco;')
hwg_TbMt(oToolbar,'80;tb_pesq(D_OB);P-Pesquisa ;P - Pesquisa;xml\icon\pesq.ico;32;32;;;')
hwg_TbMt(oToolbar,'79;tb_index(D_OB);O-Ordena ;O - Ordena;xml\icon\ordena.ico;28;28;;;')
hwg_TbMt(oToolbar,'73;lst_alias(D_OB);I-Imprime ;I - Imprime;xml\icon\print.ico;28;28;;;')
hwg_TbMt(oToolbar,'0;;;espaco;espaco;')
//hwg_TbMt(oToolbar,'69;ext_screen(pcod,pdatabal);E-Extrato ;E - Extrato;_E;')
//hwg_TbMt(oToolbar,'-5;vb_prdfalta();F6-Lanca_Falta ;F6 - Lanca_Falta;_F6;')
//hwg_TbMt(oToolbar,'47;Eval(z_BlkItens);/-Lotes ;/ - Lotes;_divide;')
//hwg_TbMt(oToolbar,'93;disp_sdse(pcod);]-Demanda ;] - Demanda;_colchetesq;')
//hwg_TbMt(oToolbar,'13;se_doget(D_ob);Enter-Edita ;Enter - Edita;_Enter;')
sGuiDoGetFree:=.t.
//hwg_TbMt(oToolbar,'66;BULPROD(d_ob);B-Bulas ;B - Bulas;_B;')
hwg_TbMt(oToolbar,'0;;;espaco;espaco;')
hwg_TbMt(oToolbar,'27;hwg_oDlgKey(oDlg, 27, nBrwAtivo);Saida;Saida;xml\icon\saida.ico;28;28;;;;')
Hwg_EndMenu()]]>
  </method>
  <method name="onPaint">
    <![CDATA[Parameters oCtrl,hDC
oCtrl:bpaint:=NIL
D_oB:setFocus()]]>
  </method>
  <part class="panel">
    <style>
      <property name="Geometry">{8,1,769,65}</property>
      <property name="Name">[oToolbar]</property>
    </style>
  </part>
  <part class="browse">
    <style>
      <property name="Geometry">{0,68,790,410}</property>
      <property name="Name">[D_oB]</property>
      <property name="TabIndex">13</property>
    </style>
    <method name="onGetFocus">
      <![CDATA[nBrwAtivo:=1]]>
    </method>
    <method name="onInit">
      <![CDATA[D_oB:Alias := alias()
D_oB:bKeyDown := {|self, wParam| (aBrowses[nBrwAtivo,2])->(hwg_oDlgKey(self, wparam,1)) , .T. }
hwg_TbFi(D_oB, 'Cod;PCOD;N;99999;5;N;')
hwg_TbFi(D_oB, 'Descricao;PDESC;C;@s40;40;N;')
hwg_TbFi(D_oB, 'Principio;Pprincipio;C;@s38;38;S;')
hwg_TbFi(D_oB, 'Prc Venda;PVLUVENDA;N;999.99;  6;S;')
hwg_TbFi(D_oB, 'Estoq;PEATUAL;N;999;  3;N;')
hwg_TbFi(D_oB, 'Prc Unit;PVLUVEN3;N;999.99;  6;S;')
hwg_TbFi(D_oB, 'CtF;pcategoria;C;!!!;3;S;')
hwg_TbFi(D_oB, 'Cod Barra;Pdic6;N;9999999999999;14;S;')
hwg_TbFi(D_oB, 'CodABC;PDIC5;N;99999999;  8;;')
hwg_TbFi(D_oB, 'Prc Fab;PVLUtab;N;999.99;  6;N;')
hwg_TbFi(D_oB, '*Gp;pgpreco;C;!!;2;S;')
D_oB:bColorSel:= RGB(3,23,133)
D_oB:tColorSel:= RGB(255,255,255)
D_oB:bOther:={|o,m,wp,lp| messagesBrowse(o,m,wp,lp)}
D_oB:cargo:={.T.,.T.,"SE_PROD",.F.,.T.,{||.T.} }
d_SkipBlock:="sys_tbbrow"
AADD(aBrowses,{D_oB,D_oB:Alias,{||.f.},{|| .T.},})]]>
    </method>
    <method name="onSize">
      <![CDATA[Parameters oCtrl,x,y 
oCtrl:move(,,x-25,y-75) ]]>
    </method>
  </part>
  <part class="status">
    <style>
      <property name="Geometry">{0,508,794,30}</property>
      <property name="Name">[oStatus1]</property>
      <property name="aParts">{640,160,0}</property>
    </style>
  </part>
</part>
